︠5c8d205b-17f4-4bd2-ada3-102394b03ca0︠
from scipy.constants import R, N_A
from sage.misc.latex import pretty_print

# Einheiten

mol = units.amount_of_substance.mole

R = R*units.energy.joule/ units.temperature.kelvin / mol

Pa = units.pressure.pascal
m = (units.length.meter)
K = units.temperature.kelvin
kg = units.mass.gram*10^3

ML = 28.964*units.mass.gram/mol


# ---------------------------------------------------------------------

# Parameter

p = 10^5*Pa
T = 293.15*K
m = 1*kg

n = m/ML

V = n*R*T/p

print "1 kg Luft:"

pretty_print (V.convert())

print "1 mol Luft:"

n = 1*mol
V = n*R*T/p
pretty_print (V.convert())


# ------------------------------------------------------------------------
︡3e472d62-b171-433f-ad45-09f0174b461a︡{"stdout": "1 kg Luft:"}︡{"html": "<span class=\"math\">\\newcommand{\\Bold}[1]{\\mathbf{#1}}0.841523086175943 \\, \\mbox{meter}^{3}</span>"}︡{"stdout": "1 mol Luft:"}︡{"html": "<span class=\"math\">\\newcommand{\\Bold}[1]{\\mathbf{#1}}0.0243738746680000 \\, \\mbox{meter}^{3}</span>"}︡
